Update a task

patch/v1/tasks/{task_id}

Partial update. Attributes: title, description, status (incl. archived), priority, due_date, visible_date, references. Relationships re-link/clear assignee + parent. executor_type/source/kind not updatable.

Requires a bearer token: Authorization: Bearer <token>.

Path parameters

NameTypeRequiredDescription
task_idstring <uuid>YesID.e.g. 00000000-0000-4000-8000-000000000000

Request

cURL
curl -X PATCH https://api.wellapp.ai/v1/tasks/{task_id} \
  -H "Authorization: Bearer $WELL_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "data": {
    "type": "tasks",
    "attributes": {
      "status": "done"
    }
  }
}'
Request body
{
  "data": {
    "type": "tasks",
    "attributes": {
      "status": "done"
    }
  }
}

Responses

200Updated task.

{
  "data": {
    "type": "tasks",
    "id": "7b2f…",
    "attributes": {
      "status": "done",
      "done_at": "2026-06-07T10:00:00Z"
    },
    "relationships": {
      "template": {
        "data": {
          "type": "task_template",
          "id": "00000000-0000-4000-8000-000000000001"
        }
      },
      "parent_task": {
        "data": {
          "type": "task",
          "id": "00000000-0000-4000-8000-000000000001"
        }
      },
      "subtasks": {
        "data": [
          {
            "type": "task",
            "id": "00000000-0000-4000-8000-000000000001"
          }
        ]
      },
      "assigned_to": {
        "data": {
          "type": "people",
          "id": "00000000-0000-4000-8000-000000000001"
        }
      },
      "created_by": {
        "data": {
          "type": "people",
          "id": "00000000-0000-4000-8000-000000000001"
        }
      }
    }
  }
}

400Validation error.

{
  "code": "BAD_REQUEST",
  "status": 400,
  "title": "Bad Request",
  "message": "See title.",
  "meta": {
    "trace_id": "a1b2c3",
    "log_id": "a1b2c3"
  }
}

401Unauthorized.

{
  "code": "UNAUTHORIZED",
  "status": 401,
  "title": "Unauthorized",
  "message": "See title.",
  "meta": {
    "trace_id": "a1b2c3",
    "log_id": "a1b2c3"
  }
}

404Not found.

{
  "code": "NOT_FOUND",
  "status": 404,
  "title": "Not Found",
  "message": "See title.",
  "meta": {
    "trace_id": "a1b2c3",
    "log_id": "a1b2c3"
  }
}